import axios from "axios";
import {authURL} from "../Constantes";

export const loginApi=(url=authURL) => ({
	login: (clientCredentials,data) => axios({
		url: `${url}/oauth/token`,
		headers: {
			"content-type": "application/x-www-form-urlencoded",
			Authorization: `Basic ${clientCredentials}`
		},
		method: "post",
		data: {
			username: data.correo,
			password: data.password,
			"grant_type": "password"
		}
	}),
	refreshToken: (clientCredentials,refreshToken) => axios({
		url: `${url}/oauth/token`,
		headers: {
			"content-type": "application/x-www-form-urlencoded",
			Authorization: `Basic ${clientCredentials}`
		},
		method: "post",
		data: {
			"refresh_token": refreshToken,
			"grant_type": "refresh_token"
		}
	})
});