import {SaasApp,Cargando,Error} from "./components";
import {useNotificar} from "./hooks";
import {
	logout,
	getInstancia,
	getPerfiles,
	getToken,
	getUsuario
} from "./redux";
import {
	composeValidators,
	required,
	requiredNotFalse,
	number,
	minLength,
	maxLength,
	min,
	max,
	regex,
	email,
	remote
} from "./validacion";

export {
	SaasApp,
	useNotificar,
	Cargando,
	Error,
	logout,
	getInstancia,
	getPerfiles,
	getToken,
	getUsuario,
	composeValidators,
	required,
	requiredNotFalse,
	number,
	minLength,
	maxLength,
	min,
	max,
	regex,
	email,
	remote
};
