import {createSlice} from "@reduxjs/toolkit";

const notificacionSlice=createSlice({
	name: "notificacion",
	initialState: [],
	reducers: {
		mostrarNotificacion: (state,action) => {
			state.push(action.payload);
		},
		ocultarNotificacion: state => {
			state.pop();
		}
	}
});

export const getNotificacion=store => Array.isArray(store.notificacion) && store.notificacion.length ? store.notificacion[0] : null;

export const {mostrarNotificacion,ocultarNotificacion}=notificacionSlice.actions;

export default notificacionSlice.reducer;
