import {configureStore} from "@reduxjs/toolkit";
import uiSlice from "./uiSlice";
import loginSlice from "./loginSlice";
import notificacionSlice from "./notificacionSlice";
import inicializarSlice from "./inicializarSlice";

export const store=(customReducers) => configureStore({
	reducer: {
		ui: uiSlice,
		aplicacion: inicializarSlice,
		login: loginSlice,
		notificaciones: notificacionSlice,
		...customReducers
	}
});